/// <reference types="node" />
/// <reference types="node" />
import { SourceMapConsumer } from 'source-map';
interface PrepareStackTraceContext {
    func: (err: Error, stackTraces: NodeJS.CallSite[]) => string | undefined;
    consumer: SourceMapConsumer;
}
/**
 * Generates a function that can be registered with `Error.prepareStackTrace`
 * (see https://v8.dev/docs/stack-trace-api#customizing-stack-traces).
 * A source map consumer is also returned because it must be destroyed manually after
 * code execution to free memory.
 */
export declare function createPrepareStackTrace(scriptName: string, sourceMap: Buffer): Promise<PrepareStackTraceContext>;
/** Applies sourcemaps to a stack trace. */
export declare function applySourcemapsToStackTrace(scriptName: string, stackTrace: string, consumer: SourceMapConsumer): string;
export {};
