declare enum DOM_EXCEPTIONS {
    IndexSizeError = 1,
    DOMStringSizeError = 2,
    HierarchyRequestError = 3,
    WrongDocumentError = 4,
    InvalidCharacterError = 5,
    NoDataAllowedError = 6,
    NoModificationAllowedError = 7,
    NotFoundError = 8,
    NotSupportedError = 9,
    InUseAttributeError = 10,
    InvalidStateError = 11,
    SyntaxError = 12,
    InvalidModificationError = 13,
    NamespaceError = 14,
    InvalidAccessError = 15,
    ValidationError = 16,
    TypeMismatchError = 17,
    SecurityError = 18,
    NetworkError = 19,
    AbortError = 20,
    URLMismatchError = 21,
    QuotaExceededError = 22,
    TimeoutError = 23,
    InvalidNodeTypeError = 24,
    DataCloneError = 25
}
export default class DOMException extends Error {
    readonly name: keyof typeof DOM_EXCEPTIONS | string;
    /** */
    constructor(message?: string, name?: keyof typeof DOM_EXCEPTIONS | string);
    /** Returns a short that contains one of the error code constants, or 0 if none match */
    get code(): any;
}
export {};
