interface ErrorEventInit extends EventInit {
    colno?: number;
    error?: any;
    filename?: string;
    lineno?: number;
    message?: string;
}
export declare class ErrorEvent extends Event {
    readonly colno: number;
    readonly error: any;
    readonly filename: string;
    readonly lineno: number;
    readonly message: string;
    /** */
    constructor(type: 'error', eventInitDict?: ErrorEventInit);
}
interface PromiseRejectionEventInit extends EventInit {
    promise?: Promise<unknown>;
    reason?: any;
}
export declare class PromiseRejectionEvent extends Event {
    readonly promise?: Promise<unknown>;
    readonly reason?: any;
    /** PromiseRejectionEvent constructor */
    constructor(type: 'unhandledrejection', eventInitDict?: PromiseRejectionEventInit);
}
interface CustomEventInit extends EventInit {
    readonly details?: any;
}
export declare class CustomEvent extends Event {
    details: any;
    /** */
    constructor(type: string, options?: CustomEventInit);
}
interface ProgressEventInit extends EventInit {
    lengthComputable?: boolean;
    loaded?: number;
    total?: number;
}
export declare class ProgressEvent<T extends EventTarget = EventTarget> extends Event {
    readonly lengthComputable: boolean;
    readonly loaded: number;
    readonly total: number;
    readonly target: T | null;
    /** */
    constructor(type: string, init?: ProgressEventInit);
}
export {};
